Get ticket and thread
GET
/v1/support/tickets/{ticketId}
const url = 'https://shareout.site/v1/support/tickets/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/support/tickets/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” ticketId
required
string
Responses
Section titled “ Responses ”Ticket with messages
Media type application/json
object
success
boolean
ticket
object
id
string
subject
string
status
string
channel
string
workspace_id
string
requester_user_id
string
requester_email
string format: email
priority
string
created_at
string format: date-time
updated_at
string format: date-time
thread
Array<object>
object
id
string
role
string
body
string
created_at
string format: date-time
Example
{ "ticket": { "status": "open", "channel": "ui" }, "thread": [ { "role": "customer" } ]}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}Resource not found
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}